Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grogra
Class LSYParser

    java.lang.Object
      antlr.Parser
          antlr.LLkParser
              de.grogra.xl.parser.Parser
                  de.grogra.grogra.LSYParser

All Implemented Interfaces:
  LSYTokenTypes

    public class LSYParser

extends de.grogra.xl.parser.Parser
implements LSYTokenTypes

Field Summary
`static java.lang.String[]` | `_tokenNames`
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`
`static antlr.collections.impl.BitSet` | `_tokenSet_2`
`static long` | `WARN_ON_REGISTER_PATTERN`
`static long` | `WARN_ON_UNUSED_RULES`

Fields inherited from class de.grogra.xl.parser.Parser
`exceptionList`

Fields inherited from class antlr.Parser
`astFactory, inputState, returnAST, tokenNames, tokenTypeToASTClassMap, traceDepth`

Fields inherited from interface de.grogra.grogra.LSYTokenTypes
`ABSTRACT_, ADD, ADD_ASSIGN, AND, AND_ASSIGN, ANNOTATION, ANY, APPLICATION_CONDITION, ARGLIST, ARRAY_DECLARATOR, ARRAY_INIT, ARRAY_ITERATOR, ARROW, ASSERT, ASSIGN, BOOLEAN_, BOOLEAN_LITERAL, BREAK, BYTE_, CAND, CASE, CATCH, CHAR_, CHAR_LITERAL, CLASS, CLASS_LITERAL, CMP, COLON, COM, COMMA, COMPILATION_UNIT, COMPOUND_PATTERN, CONST_, CONSTRUCTOR, CONTEXT, CONTINUE, COR, DEC, DECLARING_TYPE, DEFAULT, DEFERRED_ADD, DEFERRED_AND, DEFERRED_ASSIGN, DEFERRED_DIV, DEFERRED_MUL, DEFERRED_OR, DEFERRED_POW, DEFERRED_RATE_ASSIGN, DEFERRED_REM, DEFERRED_SHL, DEFERRED_SHR, DEFERRED_SUB, DEFERRED_USHR, DEFERRED_XOR, DIMLIST, DIV, DIV_ASSIGN, DO, DOT, DOUBLE_, DOUBLE_ARROW_RULE, DOUBLE_LITERAL, ELIST, EMPTY, ENHANCED_FOR, EOF, EQUALS, EXEC_RULE, EXPR, EXTENDS, FINAL_, FINALLY, FLOAT_, FLOAT_LITERAL, FOLDING, FOR, GE, GT, GUARD, IDENT, IF, IMPLEMENTS, IMPORT_ON_DEMAND, IN, INC, INDEX_OP, INSTANCE_INIT, INSTANCEOF, INSTANTIATOR, INT_, INT_LITERAL, INTERFACE, INVALID_EXPR, INVOKE_OP, ITERATING_, JREG_IDENT, LABEL, LABELED_STATEMENT, LATE_MATCH, LBRACK, LE, LEFT_ARROW, LEFT_RIGHT_ARROW, LINE, LITERAL_binomial, LITERAL_carbon, LITERAL_color, LITERAL_diameter, LITERAL_distribution, LITERAL_function, LITERAL_generation, LITERAL_if, LITERAL_index, LITERAL_length, LITERAL_local, LITERAL_n_value, LITERAL_negbinomial, LITERAL_normal, LITERAL_order, LITERAL_poisson, LITERAL_q_value, LITERAL_register, LITERAL_sum, LITERAL_sumd, LITERAL_sump, LITERAL_table, LITERAL_uniform, LITERAL_v_value, LITERAL_xcoordinate, LITERAL_ycoordinate, LITERAL_zcoordinate, LONG_, LONG_ARROW, LONG_LEFT_ARROW, LONG_LEFT_RIGHT_ARROW, LONG_LITERAL, LPAREN, LT, MARKER, METHOD, METHOD_CALL, METHOD_PATTERN, MINIMAL, MODIFIERS, MODULE, MUL, MUL_ASSIGN, NAME_PATTERN, NATIVE_, NEG, NEW, NODE, NODES, NORMAL, NOT, NOT_EQUALS, NULL_LITERAL, NULL_TREE_LOOKAHEAD, OPTIONAL_MATCH, OR, OR_ASSIGN, PACKAGE, PARAMETER_DEF, PARAMETERIZED_PATTERN, PARAMETERS, PATTERN_WITH_BLOCK, PLUS_ARROW, PLUS_LEFT_ARROW, PLUS_LEFT_RIGHT_ARROW, PLUS_LINE, POS, POST_DEC, POST_INC, POW, POW_ASSIGN, PRIVATE_, PRODUCE, PROTECTED_, PUBLIC_, QUALIFIED_NEW, QUALIFIED_SUPER, QUERY, QUERY_EXPR, QUESTION, QUOTE, RANGE, RANGE_EXACTLY, RANGE_MIN, RBRACK, REM, REM_ASSIGN, RETURN, ROOT, RPAREN, RULE, RULE_BLOCK, SEMI, SEPARATE, SHELL_BLOCK, SHL, SHL_ASSIGN, SHORT_, SHR, SHR_ASSIGN, SINGLE_ELEMENT, SINGLE_MATCH, SINGLE_OPTIONAL_MATCH, SINGLE_STATIC_IMPORT, SINGLE_TYPE_IMPORT, SLASH_ARROW, SLASH_LEFT_ARROW, SLASH_LEFT_RIGHT_ARROW, SLASH_LINE, SLIST, STATIC_, STATIC_IMPORT_ON_DEMAND, STATIC_INIT, STATIC_MEMBER_CLASSES, STRICT_, STRING_LITERAL, SUB, SUB_ASSIGN, SUPER, SWITCH, SWITCH_GROUP, SYNCHRONIZED_, THIS, THROW, THROWS, TRANSIENT_, TRAVERSAL, TREE, TRY, TYPE_PATTERN, TYPECAST, TYPECHECK, UNARY_PREFIX, USHR, USHR_ASSIGN, VARARGS_, VARIABLE_DEF, VOID_, VOLATILE_, WHILE, WITH, WRAPPED_TYPE_PATTERN, X_LEFT_RIGHT_ARROW, XOR, XOR_ASSIGN, YIELD`

Constructor Summary
`` | `LSYParser(antlr.ParserSharedInputState state)`
`` | `LSYParser(antlr.TokenBuffer tokenBuf)`
`protected` | `LSYParser(antlr.TokenBuffer tokenBuf, int k)`
`` | `LSYParser(antlr.TokenStream lexer)`
`protected` | `LSYParser(antlr.TokenStream lexer, int k)`

Method Summary
`void` | `additiveExpression()`
`void` | `argList()`
`void` | `binaryFunction()`
`void` | `boundVarList()`
`protected void` | `buildTokenTypeASTClassMap()`
`antlr.collections.AST` | `compilationUnit(java.lang.String clsName)`
`void` | `declaration()`
`void` | `equalityExpression()`
`void` | `expression()`
`void` | `logicalAndExpression()`
`void` | `logicalOrExpression()`
`void` | `module()`
`void` | `moduleArgList()`
`boolean` | `moduleIdent()`
`void` | `moreRules()`
`void` | `multiplicativeExpression()`
`void` | `number()`
`protected antlr.collections.AST` | `parseGoalSymbol()`
`void` | `powerExpression()`
`void` | `primaryExpression()`
`void` | `relationalExpression()`
`void` | `repetition()`
`void` | `reset()`
`void` | `rhs()`
`void` | `rhsComponent()`
`void` | `rule()`
`void` | `sumOp()`
`void` | `sumRest(antlr.collections.AST op)`
`void` | `tree()`
`void` | `unaryExpression()`
`void` | `var()`

Methods inherited from class de.grogra.xl.parser.Parser
`createExceptionList, getExceptionList, parse, printTree, setDumpTree, setSource, setSource`

Methods inherited from class antlr.LLkParser
`consume, LA, LT, traceIn, traceOut`

Methods inherited from class antlr.Parser
`addMessageListener, addParserListener, addParserMatchListener, addParserTokenListener, addSemanticPredicateListener, addSyntacticPredicateListener, addTraceListener, consumeUntil, consumeUntil, defaultDebuggingSetup, getAST, getASTFactory, getFilename, getInputState, getTokenName, getTokenNames, getTokenTypeToASTClassMap, isDebugMode, mark, match, match, matchNot, panic, recover, removeMessageListener, removeParserListener, removeParserMatchListener, removeParserTokenListener, removeSemanticPredicateListener, removeSyntacticPredicateListener, removeTraceListener, reportError, reportError, reportWarning, rewind, setASTFactory, setASTNodeClass, setASTNodeType, setDebugMode, setFilename, setIgnoreInvalidDebugCalls, setInputState, setTokenBuffer, traceIndent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenNames

    public static final java.lang.String[] _tokenNames

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### WARN_ON_REGISTER_PATTERN

    public static final long WARN_ON_REGISTER_PATTERN

See Also:
  Constant Field Values

### WARN_ON_UNUSED_RULES

    public static final long WARN_ON_UNUSED_RULES

See Also:
  Constant Field Values

Constructor Detail

### LSYParser

    public LSYParser(antlr.ParserSharedInputState state)

### LSYParser

    public LSYParser(antlr.TokenBuffer tokenBuf)

### LSYParser

    protected LSYParser(antlr.TokenBuffer tokenBuf,
                        int k)

### LSYParser

    public LSYParser(antlr.TokenStream lexer)

### LSYParser

    protected LSYParser(antlr.TokenStream lexer,
                        int k)

Method Detail

### additiveExpression

    public final void additiveExpression()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### argList

    public final void argList()
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### binaryFunction

    public final void binaryFunction()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### boundVarList

    public final void boundVarList()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### buildTokenTypeASTClassMap

    protected void buildTokenTypeASTClassMap()

### compilationUnit

    public final antlr.collections.AST compilationUnit(java.lang.String clsName)
                                                throws antlr.RecognitionException,
                                                       antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### declaration

    public final void declaration()
                           throws antlr.RecognitionException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### equalityExpression

    public final void equalityExpression()
                                  throws antlr.RecognitionException,
                                         antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### expression

    public final void expression()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### logicalAndExpression

    public final void logicalAndExpression()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### logicalOrExpression

    public final void logicalOrExpression()
                                   throws antlr.RecognitionException,
                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### module

    public final void module()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### moduleArgList

    public final void moduleArgList()
                             throws antlr.RecognitionException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### moduleIdent

    public final boolean moduleIdent()
                              throws antlr.RecognitionException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### moreRules

    public final void moreRules()
                         throws antlr.RecognitionException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### multiplicativeExpression

    public final void multiplicativeExpression()
                                        throws antlr.RecognitionException,
                                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### number

    public final void number()
                      throws antlr.RecognitionException,
                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### parseGoalSymbol

    protected antlr.collections.AST parseGoalSymbol()
                                             throws antlr.RecognitionException,
                                                    antlr.TokenStreamException

  Specified by:
    `parseGoalSymbol` in class `de.grogra.xl.parser.Parser`
  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### powerExpression

    public final void powerExpression()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### primaryExpression

    public final void primaryExpression()
                                 throws antlr.RecognitionException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### relationalExpression

    public final void relationalExpression()
                                    throws antlr.RecognitionException,
                                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### repetition

    public final void repetition()
                          throws antlr.RecognitionException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### reset

    public void reset()

  Overrides:
    `reset` in class `de.grogra.xl.parser.Parser`

### rhs

    public final void rhs()
                   throws antlr.RecognitionException,
                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### rhsComponent

    public final void rhsComponent()
                            throws antlr.RecognitionException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### rule

    public final void rule()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### sumOp

    public final void sumOp()
                     throws antlr.RecognitionException,
                            antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### sumRest

    public final void sumRest(antlr.collections.AST op)
                       throws antlr.RecognitionException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### tree

    public final void tree()
                    throws antlr.RecognitionException,
                           antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### unaryExpression

    public final void unaryExpression()
                               throws antlr.RecognitionException,
                                      antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

### var

    public final void var()
                   throws antlr.RecognitionException,
                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.TokenStreamException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD